Bug 887000 - unknown dispatch task state during repo sync cancellation
Summary: unknown dispatch task state during repo sync cancellation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: 2.0.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 2.2.0
Assignee: Jason Connor
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-13 19:27 UTC by Randy Barlow
Modified: 2014-03-31 01:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-10 15:44:58 UTC


Attachments (Terms of Use)

Description Randy Barlow 2012-12-13 19:27:50 UTC
I had a sync going with the CDN, and I canceled it about 1 minute after it started, while it was still in the "Downloading metadata" phase. The logs included a traceback related to the cancellation several minutes later:

2012-12-13 14:10:05,340 pulp.plugins.yum_importer.importer_rpm:INFO: Begin sync of repo <rhel-6-server> from feed_url <https://cdn.redhat.com/content/dist/rhel/server/6/6Server/x86_64/os>
2012-12-13 14:12:13,380 pulp.plugins.yum_importer.importer_rpm:INFO: cancel_sync invoked
2012-12-13 14:12:13,381 pulp.plugins.yum_importer.importer_rpm:INFO: Telling grinder to stop syncing
2012-12-13 14:12:28,912 pulp.plugins.yum_importer.importer_rpm:INFO: Sync of rhel-6-server has been canceled.
2012-12-13 14:12:28,964 pulp.server.managers.repo.sync:ERROR: Repo sync exited with unknown dispatch task state, setting sync result code to: failed
2012-12-13 14:12:28,966 pulp.server.dispatch.task:ERROR: Importer indicated a failed response
Traceback (most recent call last):
  File "/home/rbarlow/devel/pulp/platform/src/pulp/server/dispatch/task.py", line 123, in _run
    result = call(*args, **kwargs)
  File "/home/rbarlow/devel/pulp/platform/src/pulp/server/managers/repo/sync.py", line 158, in sync
    raise PulpExecutionException(_('Importer indicated a failed response'))
PulpExecutionException: Importer indicated a failed response

Might this be the importer failing to return a report? I don't know much about it, so that's my wild guess.

Comment 1 Jason Connor 2013-04-24 20:58:51 UTC
Stopped relying on the dispatch system to glean the state when a sync or publish is cancelled. Instead rely on the returned report.
Pushed to origin in both the pulp and pulp_rpm repos in branches named: jconnor-887000-sync-no-dispatch

Comment 2 Jeff Ortel 2013-06-06 16:20:13 UTC
build: 2.2.0-0.2.beta.

Some of these were likely included in an earlier build but found them this time with a better BZ query.

Comment 3 Preethi Thomas 2013-06-20 20:15:54 UTC
verified
[root@ibm-x3550m3-13 ~]# rpm -q pulp-server
pulp-server-2.2.0-0.4.beta.fc18.noarch
[root@ibm-x3550m3-13 ~]# 

[root@ibm-x3550m3-13 ~]# pulp-admin rpm repo sync run --repo-id rhel6-2
+----------------------------------------------------------------------+
                   Synchronizing Repository [rhel6-2]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[-]
Operation cancelled.

[root@ibm-x3550m3-13 ~]# pulp-admin rpm repo sync run --repo-id rhel6-2
+----------------------------------------------------------------------+
                   Synchronizing Repository [rhel6-2]
+----------------------------------------------------------------------+

This command may be exited by pressing ctrl+c without affecting the actual
operation on the server.

Downloading metadata...
[\]
... completed

Downloading repository content...
[==================================================] 100%
RPMs:       0/0 items
Delta RPMs: 0/0 items

Operation cancelled.

[root@ibm-x3550m3-13 ~]#

Comment 4 Preethi Thomas 2013-09-10 15:44:58 UTC
2.2 released
http://repos.fedorapeople.org/repos/pulp/pulp/stable/2.2/


Note You need to log in before you can comment on or make changes to this bug.